﻿<?xml version="1.0" encoding="utf-8" ?>
<configuration>
    <configSections>
        <sectionGroup name="applicationSettings" type="System.Configuration.ApplicationSettingsGroup, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" >
            <section name="TestProject.Settings" type="System.Configuration.ClientSettingsSection, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" requirePermission="false" />
        </sectionGroup>
    </configSections>
    <applicationSettings>
        <TestProject.Settings>
            <setting name="ConnectionString" serializeAs="String">
                <value>Data Source=localhost\sqlexpress;Initial Catalog=PumpkinHouseDatabase;Integrated Security=True</value>
            </setting>
            <setting name="TestProject_localhost_Util" serializeAs="String">
                <value>http://localhost:20125/PublicService/Util.svc/mex</value>
            </setting>
            <setting name="TestProject_UserService_UserService" serializeAs="String">
                <value>http://localhost:20125/Service/UserService.svc/mex</value>
            </setting>
            <setting name="TestProject_AccountWebService_AccountService"
                serializeAs="String">
                <value>http://localhost:20125/PublicService/AccountService.svc/mex</value>
            </setting>
        </TestProject.Settings>
    </applicationSettings>
    <system.serviceModel>
        <bindings>
            <wsHttpBinding>
                <binding name="mexHttpbinding" closeTimeout="00:01:00" openTimeout="00:01:00"
                    receiveTimeout="00:10:00" sendTimeout="00:01:00" bypassProxyOnLocal="false"
                    transactionFlow="false" hostNameComparisonMode="StrongWildcard"
                    maxBufferPoolSize="524288" maxReceivedMessageSize="65536"
                    messageEncoding="Text" textEncoding="utf-8" useDefaultWebProxy="true"
                    allowCookies="false">
                    <readerQuotas maxDepth="32" maxStringContentLength="8192" maxArrayLength="16384"
                        maxBytesPerRead="4096" maxNameTableCharCount="16384" />
                    <reliableSession ordered="true" inactivityTimeout="00:10:00"
                        enabled="false" />
                    <security mode="None">
                        <transport clientCredentialType="Windows" proxyCredentialType="None"
                            realm="" />
                        <message clientCredentialType="Windows" negotiateServiceCredential="true" />
                    </security>
                </binding>
            </wsHttpBinding>
        </bindings>
        <client>
            <endpoint address="http://localhost:18170/PublicService/AccountService.svc/mex"
                binding="wsHttpBinding" bindingConfiguration="mexHttpbinding"
                contract="AccountService.IAccountService" name="mexHttpbinding" />
        </client>
    </system.serviceModel>
</configuration>